Bug 427386 - RFE: print mount option id= in hex
RFE: print mount option id= in hex
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
low Severity low
: rc
: ---
Assigned To: Robert Peterson
GFS Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-01-03 12:19 EST by Nate Straz
Modified: 2009-04-16 19:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-08 13:19:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2008-01-03 12:19:47 EST
Description of problem:

In order to match up file system and lock space, could the mount option "id=" in
/proc/mounts be printed in hex instead if decimal?  This would make it easier to
match the lockspace against the output of group_tool.

[root@morph-03 ~]# group_tool
type             level name            id       state       
fence            0     default         00010001 none        
[1 2 3 4]
dlm              1     clvmd           00030001 none        
[1 2 3 4]
dlm              1     morph-cluster0  00050001 none        
[1 2 3 4]
gfs              2     morph-cluster0  00040001 none        
[1 2 3 4]

Actual results:

/dev/mapper/morph--cluster-morph--cluster0 on /mnt/morph-cluster0 type gfs

Expected results:
/dev/mapper/morph--cluster-morph--cluster0 on /mnt/morph-cluster0 type gfs

Additional info:
Comment 1 Robert Peterson 2008-01-03 13:11:37 EST
I think this may be a simple change to the gfs_controld group daemon,
specifically, recover.c.  Adding Dave Teigland to the cc list since
he wrote it and may have something to add.
Comment 2 RHEL Product and Program Management 2008-01-03 13:14:29 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
Comment 3 David Teigland 2008-01-03 13:35:26 EST
The problem with that is it's a part of the kernel abi.
See linux/fs/gfs2/locking/dlm/mount.c:make_args()

Also, it's not the dlm lockspace you're matching with there, it's
the gfs mountgroup.

This is the lockspace:
dlm              1     morph-cluster0  00050001 none 

This is the corresponding mountgroup:
gfs              2     morph-cluster0  00040001 none

which I think is what you want to match with id=262145(40001) in /proc/mounts.

(In general it's best to use the name to find the associations, but I
realize that involves even more complexity digging around in sysfs.)
Comment 4 Robert Peterson 2008-01-08 13:19:02 EST
Due to the kernel abi issues, the executive decision was made not to
fix this.

Note You need to log in before you can comment on or make changes to this bug.